#include <iostream>
#include <vector>
using namespace std;
int main ()
{
    vector<int>v;
    int S, N, sum=0, br=0;
    cin>>S>>N;
    int Q=S;
    int mas[N];
    for (int i=0; i<N; i++)cin>>mas[i];
    for (int i=0; i<N-1; i++)
    {
        for (int q=0; q<N-i-1; q++)
        {
            if(mas[q]<mas[q+1])
            {
                int swap=mas[q];
                mas[q]=mas[q+1];
                mas[q+1]=swap;
            }
        }
    }
    for (int y=0; y<N-1; y++)
    {
        for (int i=y; i<N; i++)
        {
            while(S-mas[i]>=0)
            {
                S=S-mas[i];
                br++;
            }
        }
        v.push_back(br);
        br=0;
        S=Q;
    }
    int malko=v.at(0);
    for (int i=1; i<v.size(); i++)
    {
        if(malko>v.at(i))malko=v.at(i);
    }
    cout<<malko;
    return 0;
}
